import FormRegister from '@/components/forms/FormRegister'
import { AuthLayout } from '@/components/layouts/AuthLayout'
import { useTranslation } from 'next-i18next'
import { serverSideTranslations } from 'next-i18next/serverSideTranslations'

export default function Register() {
  const { t } = useTranslation()

  return (
    <AuthLayout>
      <FormRegister />
    </AuthLayout>
  )
}

export const getStaticProps = async ({ locale }: { locale: string }) => ({
  props: {
    ...(await serverSideTranslations(locale, ['common']))
  }
})
